Xalan-Java 2.7.1: Class VarNameCollector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class VarNameCollector

    java.lang.Object
      |
      +--org.apache.xpath.XPathVisitor
            |
            +--org.apache.xalan.templates.VarNameCollector

public class VarNameCollector
extends XPathVisitor

This class visits variable refs in an XPath and collects their QNames.

Constructor Summary
`VarNameCollector()`

Method Summary
`int` | `getVarCount()` Get the number of variable references that were collected.
`void` | `reset()` Reset the list for a fresh visitation and collection.
`boolean` | `visitVariableRef(ExpressionOwner owner, Variable var)` Visit a variable reference.

Methods inherited from class org.apache.xpath.XPathVisitor
`visitBinaryOperation, visitFunction, visitLocationPath, visitMatchPattern, visitNumberLiteral, visitPredicate, visitStep, visitStringLiteral, visitUnaryOperation, visitUnionPath, visitUnionPattern`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarNameCollector

    public VarNameCollector()

Method Detail

### reset

    public void reset()

  Reset the list for a fresh visitation and collection.

### getVarCount

    public int getVarCount()

  Get the number of variable references that were collected.
  Returns:
    the size of the list.

### visitVariableRef

    public boolean visitVariableRef(ExpressionOwner owner,
                                    Variable var)

  Visit a variable reference.
  Parameters:
    `owner` - The owner of the expression, to which the expression can be reset if rewriting takes place.
    `var` - The variable reference object.
  Returns:
    true if the sub expressions should be traversed.
  Overrides:
    visitVariableRef in class XPathVisitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.